<div style="margin-top: 20px;">
    <div class="container">

        <p-tabView>
            <p-tabPanel header="To Day">
               <jhi-delivery-order-driver-today></jhi-delivery-order-driver-today>
            </p-tabPanel>
            <p-tabPanel header="All">
                <p-dataList 
                [value]="shipmentOutgoing" 
                [paginator]="true" 
                [rows]="itemsPerPage"
                [lazy]="true" 
                (onLazyLoad)="loadDataLazy($event)" 
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems">
                    <p-header>
                        <div>
                            <form name="searchForm" class="form-inline">
                                <div class="input-group w-100 mt-3">
                                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.shipmentItem.home.search' | translate }}">
                                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                        <span class="fa fa-search"></span>
                                    </button>
                                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                        <span class="fa fa-trash-o"></span>
                                    </button>
                                </div>
                            </form>
                        </div>
                    </p-header>
                    <ng-template let-rowData let-i="index" pTemplate="item">
                        <a [routerLink]="['../delivery-order-driver/'+ rowData.idShipment + '/delivery-order-driver-detail']" (click)="gotoDetail(rowData)" style="color:black;">
                            <div class="ui-g ui-fluid border-item">
                                <div class="ui-g-5 ui-md-5">
                                    <div class="ui-g-12 ui-sm-12">
                                        <div>
                                            <h6 *ngIf="(idInternalHere == rowData.idInternalsrc)">{{rowData.nameCustomer}}</h6>
                                            <h6 *ngIf="(idInternalHere != rowData.idInternalsrc)">{{rowData.srcInternalName}}</h6>
                                        </div>
                                        <div>{{rowData.address}}</div>
                                        <div>{{rowData.city}}</div>
                                    </div>
                                </div>
                                <div class="ui-g-2 ui-md-2">
                                    <div class="ui-g-12 ui-sm-12">
                                        <div>
                                            <h3 style="text-align:center"><span class="badge badge-default">{{rowData.saleTypeDescription}}</span></h3>
                                        </div>
                                    </div>
                                </div>
                                <div class="ui-g-5 ui-md-5">
                                    <div class="ui-g-12 ui-sm-12" style="text-align:right">
                                        <div *ngIf="(idInternalHere == rowData.idInternalsrc)">{{rowData.noHp}}</div>
                                        <div><i>Tanggal Pengiriman</i></div>
                                        <div>{{rowData.dateSchedulle| date:'fullDate'}}</div>
                                        <div>{{rowData.dateSchedulle| date:'h:mm a'}}</div>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </ng-template>
                </p-dataList>
            </p-tabPanel>
        </p-tabView>
    </div>



</div>
<div style="margin-top: 10px;"></div>